Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.portal.provider.v1.http
Class JspRenderer

    java.lang.Object
      |
      +--oracle.portal.provider.v1.http.BaseManagedRenderer
            |
            +--oracle.portal.provider.v1.http.Page
                  |
                  +--oracle.portal.provider.v1.http.JspRenderer

Direct Known Subclasses:
  JspValidateRenderer

public class JspRenderer
extends Page

When maintained by a `RenderManager`, a `JspRenderer` renders a single page's contents from a JSP.

The properties `appPath`, `appRoot`, `contentType`, `pageExpires`, `pageParameterName` and `charSet` may be set at page level or defaulted at `RenderManager` level. However the page name must be set at page level via a call to ``Page.setName(String)`` or by use of the `<name>` `provider.xml` tag.

Parameters can be assigned to this `JspRenderer` using a `NameValuePair` object with a call to the `addParameter(Object)` method, and hence a properly configured `provider.xml` (see the `provider.xml` tag reference.) These parameters will then be passed to the `Servlet20RequestWrapper` object so that they are available from the appropriate `Servlet20RequestWrapper` methods within the JSP.

Currently, the Oracle JSP Engine is required.

Constructor Summary
`JspRenderer()` Null Constructor.
`JspRenderer(PortletPageLocator parent, java.lang.String pageName)` Creates and initializes a `JspRenderer` owned by the given `PortletPageLocator`, describing a page with the given name.

Method Summary
`void` | `addParameter(java.lang.Object o)` Adds entries from a `NameValuePair` object to a parameter list stored by this `JspRenderer`.
`boolean` | `prepareResponse(PortletRenderRequest pr)` Sets HTTP headers for the response.
`void` | `renderBody(PortletRenderRequest pr)` Render the specified page's contents using the current appPath, appRoot and page name.

Methods inherited from class oracle.portal.provider.v1.http.Page
`getAppPath, getAppRoot, getName, getPageParameterName, getPagePath, getPageRealPath, setAppPath, setAppRoot, setName, setPageParameterName`

Methods inherited from class oracle.portal.provider.v1.http.BaseManagedRenderer
`getCharSet, getContentType, getPageExpires, postInitialize, preInitialize, setCharSet, setContentType, setPageExpires, setPageExpires`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JspRenderer

    public JspRenderer()

  Null Constructor. The `BaseManagedRenderer.preInitialize(Object)` method should be called after creating an object with this constructor and the `BaseManagedRenderer.postInitialize()` method should be called after setting up page properties with the various accessor methods. Normally a `DefaultNodeHandler` takes care of these details.

### JspRenderer

    public JspRenderer(PortletPageLocator parent,
                       java.lang.String pageName)
                throws PortletException

  Creates and initializes a `JspRenderer` owned by the given `PortletPageLocator`, describing a page with the given name.
  Parameters:
    `parent` - the `PortletPageLocator` that owns this page
    `pageName` - the `appPath` relative name of the renderer's page
  Throws:
    PortletException - if an error occurs while initializing the object

Method Detail

### addParameter

    public void addParameter(java.lang.Object o)
                      throws PortletException

  Adds entries from a `NameValuePair` object to a parameter list stored by this `JspRenderer`.
  Parameters:
    `o` - Object representing the name-value pair (a `NameValuePair`).
  Throws:
    PortletException - if the given Object is not a valid `NameValuePair`

### prepareResponse

    public boolean prepareResponse(PortletRenderRequest pr)
                            throws PortletException,
                                   PortletNotFoundException

  Sets HTTP headers for the response.
  Overrides:
    prepareResponse in class BaseManagedRenderer
  Parameters:
    `pr` - a `PortletRenderRequest`
  Returns:
    boolean flag indicating whether or not to render the portlet's contents (e.g. is the cached version still valid)

### renderBody

    public void renderBody(PortletRenderRequest pr)
                    throws PortletException

  Render the specified page's contents using the current appPath, appRoot and page name. Note: The JspRenderer currently requires the Oracle JSP engine for its JSP support. The Oracle JSP engine is included as part of Oracle iAS. Alternatively, it can be downloaded for free from http://technet.oracle.com.

  Parameters:
    `pr` - a PortletRenderRequest

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD